// Publication parameters
var serverAddress = "localhost";
var serverPort = 11012;
var cameraId = "1"; 
var userName = "admin";
var password = "12345";

var cameraUrl = "http://" + serverAddress + ":" + serverPort 
  + "/rsapi/snapshot?id=" + cameraId 
  + "&user=" + userName 
  + "&password=" + password;

var blackImageUrl = "Blank.png";
var requestDelay = 50;
var updateTimer = setInterval("updateTimerfunc()", requestDelay);
var backgroundImage = new Image();

function updateTimerfunc() {
    clearInterval(updateTimer);
    backgroundImage.src = getBackgroundImageUrl();
}

function showForegroundImage() {
    if (isImageOk(backgroundImage)) {
        document.getElementById('imageForeground').src = backgroundImage.src;
    } 
    else {
        document.getElementById('imageForeground').src = blackImageUrl;
    }

    setTimeout(updateTimerfunc, requestDelay);
}

function getBackgroundImageUrl() {
    var url = cameraUrl;
            
    if (url == "") {
        url = blackImageUrl;
    }
    else {
        if (url.indexOf("http://") == -1) {
            url = "http://" + window.location.host + url;
        }

        url += "&rand=" + new Date().getTime();
    }

    return url;
}

function isImageOk(image) {
    return (image.complete && !(typeof image.naturalWidth != "undefined" && image.naturalWidth == 0));
}

onload = function () {
    backgroundImage.onload = showForegroundImage;
    backgroundImage.src = getBackgroundImageUrl();
} 
